using MessagePack;

namespace GameMessage.Mahjong
{
    [MessagePackObject]
    public class OperationPack
    {
        /// <summary>
        /// 那个座位操作的，客户端要用
        /// </summary>
        [Key(0)]
        public byte Seat;
        
        /// <summary>
        /// 操作类型
        /// </summary>
        [Key(1)]
        public int Operation;

        /// <summary>
        /// 牌1 
        /// </summary>
        [Key(2)]
        public sbyte Value;
    }
}